#!/bin/bash

#Run script for sender as part of
#Assignment 2
#Computer Networks (CS 456)
#Number of parameters: 4
#Parameter:
#    $1: <host_address>
#    $2: <receiving_port_on_host>
#    $3: <receiveing_port_on_sender>
#    $4: file_to_be_transmitted

#For Python implementation
if [ "$#" -ne 4 ];
then
  echo "Program takes 4 parameters, which are a host address, host port, sender's port, and filename to be sent"
  exit 1
fi

python3 sender.py $1 $2 $3 $4
